### Constructor

# Gtk Printernew

#### Declaration [src]

    GtkPrinter*
    gtk_printer_new (
      const char* name,
      GtkPrintBackend* backend,
      gboolean virtual_
    )

#### Description [src]

Creates a new `GtkPrinter`.

#### Parameters

`name`

  Type: `const char*`

  The name of the printer.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`backend`

  Type: `GtkPrintBackend`

  A `GtkPrintBackend`

  The data is owned by the caller of the function.

`virtual_`

  Type: `gboolean`

  Whether the printer is virtual.

#### Return value

Type: `GtkPrinter`

A new `GtkPrinter`

The caller of the function takes ownership of the data, and is responsible for freeing it.